package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.mqtt;

import cn.estsh.i3plus.ext.mes.pcn.api.mqtt.MqttService;
import cn.estsh.i3plus.ext.mes.pcn.apiservice.mqtt.PcnMqttClient;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MqttServiceImpl implements MqttService {

    @Autowired
    private PcnMqttClient myMqttClient;

    @Override
    public void addTopic(String topic) {
        myMqttClient.subscribe(topic);
    }

    @Override
    public void removeTopic(String topic) {
        myMqttClient.cleanTopic(topic);
    }

    @Override
    public void publish(String msgContent, String topic) {
        /*try {
            myMqttClient.unconnect();
        } catch (MqttException e) {
            e.printStackTrace();
        }*/
      /*  //MyXxxMqttMsg 转Json
        EquipLogMqttMsg myXxxMqttMsg = new EquipLogMqttMsg();
        myXxxMqttMsg.setContent(msgContent);
        myXxxMqttMsg.setTimestamp(System.currentTimeMillis());
        // TODO Md5值
        myXxxMqttMsg.setMd5(UUID.randomUUID().toString());
        String msgJson = JSON.toJSONString(myXxxMqttMsg);

        //发布消息
        myMqttClient.publish(msgJson, topic);*/
    }

    @Override
    public void unconnect() {
        try {
            myMqttClient.unconnect();
        } catch (MqttException e) {
            e.printStackTrace();
        }
    }
    @Override
    public void connect() {
        try {
            myMqttClient.connect();
        } catch (MqttException e) {
            e.printStackTrace();
        }
    }
}