package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesPartSap;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-09 18:08
 * @Modify:
 **/
@Data
public class MesPartInspectionInputModel {


    @ApiParam("物料")
    private MesPartSap part;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("条码")
    private String sn;

    @ApiParam("正反面")
    private Integer frontBack;

    @ApiParam("批次")
    private String lotNo;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("来源-单件或批次")
    private Integer sourceType;

    @ApiParam("是否返工单完成单据")
    private boolean transferFlg = false;

    @ApiParam("版本号")
    private String productVersion;

    @ApiParam("NC-零件检测-单据")
    private MesPartInspection partInspection;

    @ApiParam("NC-零件检测详情")
    private List<MesPartInspectionDetail> partInspectionDetailList;


}
